---
- name: A-Team Pipeline | VAULT | Validate required env vars are populated
  ansible.builtin.assert:
    that:
      - vars[item] != None
  with_items:
    - vault_secret_id
    - vault_role_id

- name: A-Team Pipeline | VAULT | Get Token
  ansible.builtin.shell: |
    set -o pipefail
    export VAULT_ADDR={{ vault_addr }}
    vault write /auth/approle/login role_id={{ vault_role_id }} secret_id={{ vault_secret_id }} >> v.txt && awk 'NF{print $2}' v.txt | pr -1ats | sed -n 3p
  register: vwrite
  no_log: true
  changed_when: true

- name: A-Team Pipeline | VAULT | Set Fact
  set_fact: vault_token="{{ vwrite.stdout }}"
  no_log: true
